%The code for reading MNIST images has been downloaded from 
% https://in.mathworks.com/matlabcentral/fileexchange/27675-read-digits-and-labels-from-mnist-database
[imgs, labels] = readMNIST('train-images.idx3-ubyte', 'train-labels.idx1-ubyte', 60000,0);
data_all = reshape(imgs, [784, 60000]);

[imgs_test, labels_test] = readMNIST('t10k-images.idx3-ubyte', 't10k-labels.idx1-ubyte', 10000,0);
data_test = reshape(imgs_test, [784, 10000]);

%We used the code provided by Rasmusberg Palm to learn an RBM with 1000
%hidden units. Here we have simply loaded the trained weights
load W
W = W';
data_all = data_all';
data_test = data_test';
