indsi = find(labels==i);
shuffle = randperm(size(indsi,1));
indsi = indsi(shuffle(1:end));
indsj = find(labels==j);
shuffle = randperm(size(indsj,1));
indsj = indsj(shuffle(1:end));
datai = data_all(indsi,:);
dataj = data_all(indsj,:);
dataij = [datai; dataj];
labelsij = [zeros(size(indsi,1),1)+0; zeros(size(indsj,1),1)+1];
kernel_train = arcCos(dataij, dataij, L);
options = [];
options.gnd = labelsij;%training Labels
options.ReguType = 'Ridge';
options.Kernel = 1;
[eigvector] = KSR_caller(options, kernel_train);




kernel_test = arcCos(data_test, dataij, L);
Ytrain = kernel_train*eigvector;
Ytest = kernel_test*eigvector;

indsTi = find(labels_test==i);
indsTj = find(labels_test==j);
predictedi = Ytest(indsTi);
predictedj = Ytest(indsTj);
accuracy = sum(predictedi<0) + sum(predictedj >0);
predicted = Ytest*0;
predicted(Ytest>0) = j;
predicted(Ytest<0) = i;
total = size(indsTi,1) + size(indsTj,1);
disp_strg = ['Accuracy between class ', num2str(i), ' and class ', num2str(j), ' is ', num2str(accuracy/total)];
disp(disp_strg);


