function K = kfun(U, V)

    c_theta = U*V';
    norm_u = sum(U.^2,2);
    norm_v = sum(V.^2,2); 
    c_theta = bsxfun(@rdivide, c_theta, norm_u);   
    c_theta = bsxfun(@rdivide, c_theta, norm_v');
    s_theta = (1-c_theta.^2).^(.5);
    theta = acos(c_theta);
    K = s_theta + (pi-theta).*c_theta;
    K = bsxfun(@times, K, norm_u);
    K = bsxfun(@times, K, norm_v');
    
